%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname tg-devtools

Name:           python-tg-devtools
Version:        2.5.0
Release:        1%{?dist}
Summary:        TurboGears 2 DevTools
License:        MIT
URL:            https://github.com/TurboGears/tg2devtools
Source0:        %pypi_source tg_devtools
#Source0:        %%{url}/archive/%%{version}/%%{srcname}-%%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(webtest)

%generate_buildrequires
%pyproject_buildrequires

%{?python_enable_dependency_generator}

%global _description %{expand:
TurboGears 2 DevTools is a command-line toolkit that streamlines the
development of TurboGears2 applications. Built on top of Gearbox, it helps
you quickly scaffold new full-stack projects, generate extensions, manage
database migrations, and launch interactive shells all from one unified
interface.}

%description %_description


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python%{python3_pkgversion}-%{srcname} %_description


%prep
%autosetup -p1 -n tg_devtools-%{version}


%build
%pyproject_wheel


%install
rm -rf $RPM_BUILD_ROOT
%pyproject_install
%pyproject_save_files devtools


%check
#pytest -m "not network"


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Wed Feb 19 2025 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk>
- initial release
